"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _ButtonWrapper = _interopRequireDefault(require("../shareButtons/ButtonWrapper"));

var _ShareButton = _interopRequireDefault(require("../shareButtons/ShareButton"));

var _useScreenSize = require("../screenSize/useScreenSize");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const unsupportedWebTypes = ['sms', 'more'];

const ButtonRow = ({
  types,
  details,
  close
}) => {
  const {
    screenSize
  } = (0, _useScreenSize.useScreenSize)();
  let uniqueTypes = [...new Set([...types, 'more'])];

  if (_reactNative.Platform.OS === 'web') {
    uniqueTypes = uniqueTypes.filter(item => !unsupportedWebTypes.includes(item));
  }

  const columns = screenSize === 'small' ? 1 : 5;

  const isFirst = index => screenSize === 'small' ? index === 0 : index % columns === 0;

  const renderItem = ({
    item,
    index
  }) => /*#__PURE__*/_react.default.createElement(_ButtonWrapper.default, {
    isFirst: isFirst(index),
    isLast: index === types.length
  }, /*#__PURE__*/_react.default.createElement(_ShareButton.default, _extends({
    type: item,
    closeShare: close
  }, details)));

  return /*#__PURE__*/_react.default.createElement(_reactNative.FlatList, {
    key: screenSize,
    numColumns: columns,
    horizontal: screenSize === 'small' ? true : false,
    renderItem: renderItem,
    showsHorizontalScrollIndicator: false,
    showsVerticalScrollIndicator: false,
    data: uniqueTypes,
    keyExtractor: type => type
  });
};

var _default = ButtonRow;
exports.default = _default;
//# sourceMappingURL=ButtonRow.js.map