"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _constants = require("../utils/constants");

var _useColor = require("../utils/useColor");

var _useTranslations = require("../localizations/useTranslations");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ShareDetails = ({
  title,
  message,
  url
}) => {
  const {
    fillPrimary,
    backgroundSecondary
  } = (0, _useColor.useColor)();
  const {
    translate
  } = (0, _useTranslations.useLocalization)();
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles.title, {
      color: fillPrimary
    }],
    numberOfLines: 1,
    ellipsizeMode: "tail"
  }, title || translate('share')), message && /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles.message, {
      color: fillPrimary
    }],
    numberOfLines: 2,
    ellipsizeMode: "tail"
  }, message), url && /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.urlBar, {
      backgroundColor: backgroundSecondary
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles.url, {
      color: fillPrimary
    }],
    numberOfLines: 1,
    ellipsizeMode: "tail"
  }, url)));
};

const styles = _reactNative.StyleSheet.create({
  container: {
    paddingHorizontal: _constants.OUTER_MARGIN,
    marginBottom: 10,
    paddingBottom: 10
  },
  title: {
    fontSize: 26
  },
  message: {
    fontSize: 16,
    marginVertical: 5
  },
  urlBar: {
    padding: 10,
    borderRadius: 5,
    marginTop: 5
  },
  url: {
    fontSize: 16
  }
});

var _default = ShareDetails;
exports.default = _default;
//# sourceMappingURL=ShareDetails.js.map