"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useLocalization = exports.LocalizationProvider = void 0;

var _react = _interopRequireWildcard(require("react"));

var Localization = _interopRequireWildcard(require("expo-localization"));

var _languages = require("./languages");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const terms = {
  ar: _languages.arabic,
  ch: _languages.chinese,
  en: _languages.english,
  fr: _languages.french,
  hi: _languages.hindi,
  jp: _languages.japanese,
  pt: _languages.portuguese,
  sp: _languages.spanish,
  sv: _languages.swedish
};
const LocalizationContext = (0, _react.createContext)({
  language: 'en'
});

const LocalizationProvider = ({
  children,
  language
}) => {
  const deviceLocale = Localization.locale;
  const locale = deviceLocale.length > 2 ? deviceLocale.slice(0, 2) : deviceLocale;
  return /*#__PURE__*/_react.default.createElement(LocalizationContext.Provider, {
    value: {
      language: language || locale
    }
  }, children);
};

exports.LocalizationProvider = LocalizationProvider;

const useLocalization = () => {
  const {
    language
  } = (0, _react.useContext)(LocalizationContext);

  const translate = term => {
    const t = terms[language] || terms.en;
    return t[term];
  };

  return {
    translate
  };
};

exports.useLocalization = useLocalization;
//# sourceMappingURL=useTranslations.js.map