"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ScreenSizeProvider = exports.useScreenSize = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactResponsive = require("react-responsive");

var _context = require("./context");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const BOUNDS = 1000;

const ScreenSizeProvider = ({
  children
}) => {
  const isSmall = (0, _reactResponsive.useMediaQuery)({
    query: "(max-width: ".concat(BOUNDS, "px)")
  });
  const isLarge = (0, _reactResponsive.useMediaQuery)({
    query: "(min-width: ".concat(BOUNDS, "px)")
  });
  const [screenSize, setScreenSize] = (0, _react.useState)(isSmall ? 'small' : 'large');
  (0, _react.useEffect)(() => {
    if (!isSmall && !isLarge) {
      return;
    }

    const size = isSmall ? 'small' : 'large';

    if (size !== screenSize) {
      setScreenSize(size);
    } // eslint-disable-next-line react-hooks/exhaustive-deps

  }, [isSmall, isLarge]);
  return /*#__PURE__*/_react.default.createElement(_context.ScreenSizeContext.Provider, {
    value: {
      screenSize
    }
  }, children);
};

exports.ScreenSizeProvider = ScreenSizeProvider;

const useScreenSize = () => (0, _react.useContext)(_context.ScreenSizeContext);

exports.useScreenSize = useScreenSize;
//# sourceMappingURL=useScreenSize.web.js.map