"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var Linking = _interopRequireWildcard(require("expo-linking"));

var _Icon = _interopRequireDefault(require("../icons/Icon"));

var _useColor = require("../utils/useColor");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Link = ({
  onPress,
  serviceUrl,
  children
}) => {
  if (_reactNative.Platform.OS === 'web' && serviceUrl) {
    console.log('hgot');
    return /*#__PURE__*/_react.default.createElement("a", {
      href: serviceUrl,
      target: "_blank"
    }, children);
  }

  let onPressAction = onPress;

  if (serviceUrl) {
    onPressAction = () => Linking.openURL(serviceUrl);
  }

  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableWithoutFeedback, {
    onPress: onPressAction
  }, children);
};

const BaseButton = ({
  backgroundColor,
  text,
  icon,
  serviceUrl,
  onPress
}) => {
  const {
    backgroundSecondary,
    fillPrimary
  } = (0, _useColor.useColor)();
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(Link, {
    onPress: onPress,
    serviceUrl: serviceUrl
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.button, {
      backgroundColor: backgroundColor || backgroundSecondary
    }]
  }, /*#__PURE__*/_react.default.createElement(_Icon.default, {
    name: icon,
    size: 30
  }))), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles.text, {
      color: fillPrimary
    }]
  }, text));
};

const styles = _reactNative.StyleSheet.create({
  container: {
    alignItems: 'center'
  },
  button: {
    padding: 16,
    borderRadius: 18
  },
  text: {
    marginTop: 10,
    fontWeight: '600',
    maxWidth: 72,
    textAlign: 'center'
  }
});

var _default = BaseButton;
exports.default = _default;
//# sourceMappingURL=BaseButton.js.map