"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _queryParams = require("../utils/queryParams");

var _BaseButton = _interopRequireDefault(require("./BaseButton"));

var _useTranslations = require("../localizations/useTranslations");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const BASE_URL = 'https://www.linkedin.com/shareArticle';

const LinkedIn = ({
  title,
  url,
  message
}) => {
  const {
    translate
  } = (0, _useTranslations.useLocalization)();
  const query = (0, _queryParams.getQueryString)({
    mini: 'true',
    url,
    title,
    summary: message
  });
  return /*#__PURE__*/_react.default.createElement(_BaseButton.default, {
    icon: "linkedin",
    text: translate('linkedin'),
    serviceUrl: BASE_URL + query,
    backgroundColor: "#0e76a8"
  });
};

var _default = LinkedIn;
exports.default = _default;
//# sourceMappingURL=LinkedIn.js.map