"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _queryParams = require("../utils/queryParams");

var _BaseButton = _interopRequireDefault(require("./BaseButton"));

var _useTranslations = require("../localizations/useTranslations");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const BASE_URL = 'https://wa.me';

const WhatsApp = ({
  url,
  message
}) => {
  const {
    translate
  } = (0, _useTranslations.useLocalization)();
  const query = (0, _queryParams.getQueryString)({
    url,
    text: "".concat(message, ": ").concat(url)
  });
  return /*#__PURE__*/_react.default.createElement(_BaseButton.default, {
    icon: "whats-app",
    text: translate('whats-app'),
    backgroundColor: "#25D366",
    serviceUrl: BASE_URL + query
  });
};

var _default = WhatsApp;
exports.default = _default;
//# sourceMappingURL=WhatsApp.js.map