"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useColor = exports.AppearanceProvider = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNativeAppearance = require("react-native-appearance");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const lightColor = {
  fillPrimary: 'black',
  fillSecondary: '#dedede',
  backgroundPrimary: 'white',
  backgroundSecondary: '#edf2f5'
};
const darkColor = {
  fillPrimary: 'white',
  fillSecondary: '#444',
  backgroundPrimary: '#222222',
  backgroundSecondary: '#444'
};
const AppearanceContext = (0, _react.createContext)({
  theme: 'light'
});

const AppearanceProvider = ({
  children,
  theme
}) => /*#__PURE__*/_react.default.createElement(AppearanceContext.Provider, {
  value: {
    theme: theme || 'light'
  }
}, children);

exports.AppearanceProvider = AppearanceProvider;

const useColor = () => {
  const colorScheme = (0, _reactNativeAppearance.useColorScheme)();
  return colorScheme === 'dark' ? darkColor : lightColor;
};

exports.useColor = useColor;
//# sourceMappingURL=useColor.js.map