function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { FlatList, Platform } from 'react-native';
import ButtonWrapper from '../shareButtons/ButtonWrapper';
import ShareButton from '../shareButtons/ShareButton';
import { useScreenSize } from '../screenSize/useScreenSize';
const unsupportedWebTypes = ['sms', 'more'];

const ButtonRow = ({
  types,
  details,
  close
}) => {
  const {
    screenSize
  } = useScreenSize();
  let uniqueTypes = [...new Set([...types, 'more'])];

  if (Platform.OS === 'web') {
    uniqueTypes = uniqueTypes.filter(item => !unsupportedWebTypes.includes(item));
  }

  const columns = screenSize === 'small' ? 1 : 5;

  const isFirst = index => screenSize === 'small' ? index === 0 : index % columns === 0;

  const renderItem = ({
    item,
    index
  }) => /*#__PURE__*/React.createElement(ButtonWrapper, {
    isFirst: isFirst(index),
    isLast: index === types.length
  }, /*#__PURE__*/React.createElement(ShareButton, _extends({
    type: item,
    closeShare: close
  }, details)));

  return /*#__PURE__*/React.createElement(FlatList, {
    key: screenSize,
    numColumns: columns,
    horizontal: screenSize === 'small' ? true : false,
    renderItem: renderItem,
    showsHorizontalScrollIndicator: false,
    showsVerticalScrollIndicator: false,
    data: uniqueTypes,
    keyExtractor: type => type
  });
};

export default ButtonRow;
//# sourceMappingURL=ButtonRow.js.map