import React from 'react';
import { View, Text, StyleSheet } from 'react-native';
import { OUTER_MARGIN } from '../utils/constants';
import { useColor } from '../utils/useColor';
import { useLocalization } from '../localizations/useTranslations';

const ShareDetails = ({
  title,
  message,
  url
}) => {
  const {
    fillPrimary,
    backgroundSecondary
  } = useColor();
  const {
    translate
  } = useLocalization();
  return /*#__PURE__*/React.createElement(View, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(Text, {
    style: [styles.title, {
      color: fillPrimary
    }],
    numberOfLines: 1,
    ellipsizeMode: "tail"
  }, title || translate('share')), message && /*#__PURE__*/React.createElement(Text, {
    style: [styles.message, {
      color: fillPrimary
    }],
    numberOfLines: 2,
    ellipsizeMode: "tail"
  }, message), url && /*#__PURE__*/React.createElement(View, {
    style: [styles.urlBar, {
      backgroundColor: backgroundSecondary
    }]
  }, /*#__PURE__*/React.createElement(Text, {
    style: [styles.url, {
      color: fillPrimary
    }],
    numberOfLines: 1,
    ellipsizeMode: "tail"
  }, url)));
};

const styles = StyleSheet.create({
  container: {
    paddingHorizontal: OUTER_MARGIN,
    marginBottom: 10,
    paddingBottom: 10
  },
  title: {
    fontSize: 26
  },
  message: {
    fontSize: 16,
    marginVertical: 5
  },
  urlBar: {
    padding: 10,
    borderRadius: 5,
    marginTop: 5
  },
  url: {
    fontSize: 16
  }
});
export default ShareDetails;
//# sourceMappingURL=ShareDetails.js.map