import React from 'react';
import EmailIcon from './EmailIcon';
import SmsIcon from './SmsIcon';
import LinkedInIcon from './LinkedInIcon';
import CopyIcon from './CopyIcon';
import TwitterIcon from './TwitterIcon';
import MoreIcon from './MoreIcon';
import WhatsAppIcon from './WhatsAppIcon';

const Icon = ({
  name,
  size
}) => {
  switch (name) {
    case 'email':
      {
        return /*#__PURE__*/React.createElement(EmailIcon, {
          size: size
        });
      }

    case 'sms':
      {
        return /*#__PURE__*/React.createElement(SmsIcon, {
          size: size
        });
      }

    case 'linkedin':
      {
        return /*#__PURE__*/React.createElement(LinkedInIcon, {
          size: size
        });
      }

    case 'copy':
      {
        return /*#__PURE__*/React.createElement(CopyIcon, {
          size: size
        });
      }

    case 'twitter':
      {
        return /*#__PURE__*/React.createElement(TwitterIcon, {
          size: size
        });
      }

    case 'more':
      {
        return /*#__PURE__*/React.createElement(MoreIcon, {
          size: size
        });
      }

    case 'whats-app':
      {
        return /*#__PURE__*/React.createElement(WhatsAppIcon, {
          size: size
        });
      }

    default:
      return null;
  }
};

export default Icon;
//# sourceMappingURL=Icon.js.map