import React from 'react';
import { useState, useEffect, useContext } from 'react';
import { useMediaQuery } from 'react-responsive';
import { ScreenSizeContext } from './context';
const BOUNDS = 1000;

const ScreenSizeProvider = ({
  children
}) => {
  const isSmall = useMediaQuery({
    query: "(max-width: ".concat(BOUNDS, "px)")
  });
  const isLarge = useMediaQuery({
    query: "(min-width: ".concat(BOUNDS, "px)")
  });
  const [screenSize, setScreenSize] = useState(isSmall ? 'small' : 'large');
  useEffect(() => {
    if (!isSmall && !isLarge) {
      return;
    }

    const size = isSmall ? 'small' : 'large';

    if (size !== screenSize) {
      setScreenSize(size);
    } // eslint-disable-next-line react-hooks/exhaustive-deps

  }, [isSmall, isLarge]);
  return /*#__PURE__*/React.createElement(ScreenSizeContext.Provider, {
    value: {
      screenSize
    }
  }, children);
};

const useScreenSize = () => useContext(ScreenSizeContext);

export { useScreenSize, ScreenSizeProvider };
//# sourceMappingURL=useScreenSize.web.js.map