import React from 'react';
import { Clipboard } from 'react-native';
import BaseButton from './BaseButton';
import { useLocalization } from '../localizations/useTranslations';

const Copy = ({
  url,
  message
}) => {
  const {
    translate
  } = useLocalization();

  const onPress = () => {
    const payload = url || message;

    if (!payload) {
      return;
    }

    Clipboard.setString(payload);
  };

  return /*#__PURE__*/React.createElement(BaseButton, {
    icon: "copy",
    onPress: onPress,
    text: translate('copy')
  });
};

export default Copy;
//# sourceMappingURL=Copy.js.map