import React from 'react';
import { getQueryString } from '../utils/queryParams';
import BaseButton from './BaseButton';
import { useLocalization } from '../localizations/useTranslations';
const BASE_URL = 'https://www.linkedin.com/shareArticle';

const LinkedIn = ({
  title,
  url,
  message
}) => {
  const {
    translate
  } = useLocalization();
  const query = getQueryString({
    mini: 'true',
    url,
    title,
    summary: message
  });
  return /*#__PURE__*/React.createElement(BaseButton, {
    icon: "linkedin",
    text: translate('linkedin'),
    serviceUrl: BASE_URL + query,
    backgroundColor: "#0e76a8"
  });
};

export default LinkedIn;
//# sourceMappingURL=LinkedIn.js.map