import React from 'react';
import { getQueryString } from '../utils/queryParams';
import BaseButton from './BaseButton';
import { useLocalization } from '../localizations/useTranslations';
const BASE_URL = 'http://twitter.com/share';

const Twitter = ({
  url,
  message
}) => {
  const {
    translate
  } = useLocalization();
  const query = getQueryString({
    url,
    text: message
  });
  return /*#__PURE__*/React.createElement(BaseButton, {
    icon: "twitter",
    text: translate('twitter'),
    backgroundColor: "#00acee",
    serviceUrl: BASE_URL + query
  });
};

export default Twitter;
//# sourceMappingURL=Twitter.js.map