import React from 'react';
import { getQueryString } from '../utils/queryParams';
import BaseButton from './BaseButton';
import { useLocalization } from '../localizations/useTranslations';
const BASE_URL = 'https://wa.me';

const WhatsApp = ({
  url,
  message
}) => {
  const {
    translate
  } = useLocalization();
  const query = getQueryString({
    url,
    text: "".concat(message, ": ").concat(url)
  });
  return /*#__PURE__*/React.createElement(BaseButton, {
    icon: "whats-app",
    text: translate('whats-app'),
    backgroundColor: "#25D366",
    serviceUrl: BASE_URL + query
  });
};

export default WhatsApp;
//# sourceMappingURL=WhatsApp.js.map