import React, { createContext } from 'react';
import { useColorScheme } from 'react-native-appearance';
const lightColor = {
  fillPrimary: 'black',
  fillSecondary: '#dedede',
  backgroundPrimary: 'white',
  backgroundSecondary: '#edf2f5'
};
const darkColor = {
  fillPrimary: 'white',
  fillSecondary: '#444',
  backgroundPrimary: '#222222',
  backgroundSecondary: '#444'
};
const AppearanceContext = createContext({
  theme: 'light'
});
export const AppearanceProvider = ({
  children,
  theme
}) => /*#__PURE__*/React.createElement(AppearanceContext.Provider, {
  value: {
    theme: theme || 'light'
  }
}, children);
export const useColor = () => {
  const colorScheme = useColorScheme();
  return colorScheme === 'dark' ? darkColor : lightColor;
};
//# sourceMappingURL=useColor.js.map