import { FC } from 'react';
import { ShareType, ShareProps } from './interfaces';
import { Theme } from './utils/useColor';
export interface ShareOptions {
    language?: string;
    defaultTypes?: Array<Exclude<ShareType, 'more'>>;
    theme?: Theme;
}
export interface ShareFnOptions {
    language?: string;
    types?: Array<Exclude<ShareType, 'more'>>;
}
interface Props {
    options?: ShareOptions;
}
export interface IShareContext {
    share: (props: ShareProps, options?: ShareFnOptions) => void;
}
declare const ShareProvider: FC<Props>;
declare const useShare: () => IShareContext;
export { ShareProvider, useShare };
